com.corticon.rulesemf.ast

## Interface RelationalExpression

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface RelationalExpression
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Relational Expression'.

  The following features are supported:

  - `Type`
  - `Additive Expression`
  - `Relational Sub Expression`
  See Also:
    `AstPackage.getRelationalExpression()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdditiveExpression` | `getAdditiveExpression()` Returns the value of the 'Additive Expression' containment reference
    `RelationalSubExpression` | `getRelationalSubExpression()` Returns the value of the 'Relational Sub Expression' containment reference
    `java.lang.String` | `getType()` Returns the value of the 'Type' attribute
    `void` | `setAdditiveExpression(AdditiveExpression value)` Sets the value of the '`Additive Expression`' containment reference
    `void` | `setRelationalSubExpression(RelationalSubExpression value)` Sets the value of the '`Relational Sub Expression`' containment reference
    `void` | `setType(java.lang.String value)` Sets the value of the '`Type`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getType

          java.lang.String getType()

      Returns the value of the 'Type' attribute.

      If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Type' attribute.
      See Also:
        `setType(String)`, `AstPackage.getRelationalExpression_Type()`

    - #### setType

          void setType(java.lang.String value)

      Sets the value of the '`Type`' attribute.
      Parameters:
        `value` - the new value of the 'Type' attribute.
      See Also:
        `getType()`

    - #### getAdditiveExpression

          AdditiveExpression getAdditiveExpression()

      Returns the value of the 'Additive Expression' containment reference.

      If the meaning of the 'Additive Expression' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Additive Expression' containment reference.
      See Also:
        `setAdditiveExpression(AdditiveExpression)`, `AstPackage.getRelationalExpression_AdditiveExpression()`

    - #### setAdditiveExpression

          void setAdditiveExpression(AdditiveExpression value)

      Sets the value of the '`Additive Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Additive Expression' containment reference.
      See Also:
        `getAdditiveExpression()`

    - #### getRelationalSubExpression

          RelationalSubExpression getRelationalSubExpression()

      Returns the value of the 'Relational Sub Expression' containment reference.

      If the meaning of the 'Relational Sub Expression' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Relational Sub Expression' containment reference.
      See Also:
        `setRelationalSubExpression(RelationalSubExpression)`, `AstPackage.getRelationalExpression_RelationalSubExpression()`

    - #### setRelationalSubExpression

          void setRelationalSubExpression(RelationalSubExpression value)

      Sets the value of the '`Relational Sub Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Relational Sub Expression' containment reference.
      See Also:
        `getRelationalSubExpression()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.